using Newtonsoft.Json;

namespace SGModule.NetKit {
    public class RequestStageData {
        [JsonProperty("begin_time")] public int BeginTime;
        [JsonProperty("end_time")] public int EndTime;
        [JsonProperty("item_costs")] public int[] ItemCosts;
        [JsonProperty("item_type")] public int ItemType;
        [JsonProperty("layer")] public int Layer;
        [JsonProperty("level")] public int Level;
        [JsonProperty("pass")] public bool Pass;
        [JsonProperty("remove_item")] public int RemoveItem;
        [JsonProperty("total_item")] public int TotalItem;
    }
}
